# Execute Batch Operations

TAllows you to perform up to 100 parallel patch/delete operations

Endpoint: POST /customEngagementMetrics/{tenantId}/batch
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

## Request body:

  - `application/json` (unknown)
    The batch request

## Request fields (application/json):

  - `operations` (array)

  - `operations.id` (string, required)
    The ID of the record

  - `operations.object` (object, required)

  - `operations.operation` (string, required)
    Enum: "create", "delete", "patch", "read", "update"

  - `operations.patch_directives` (array, required)

## Response 200:

  - `200` (unknown)
    Request completed successfully.

## Response 200 fields (application/json):

  - `error_count` (number)
    Number of error results

  - `results` (array)

  - `results.error_message` (string)

  - `results.id` (string, required)
    The ID of the record

  - `results.object` (object)

  - `results.operation` (string, required)
    Enum: "create", "delete", "patch", "read", "update"

  - `results.outcome` (string)
    Enum: "error", "no change", "success"

  - `success_count` (number)
    Number of successful results

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The request was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The custom engagement metric could not be found.

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve custom engagement metric based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

